Eshun's Departure 

When Eshun, the Zen nun, was past sixty and about to leave this world, she asked some monks to pile up wood in the yard. 

Seating herself firmly in the center of the funeral pyre, she had it set fire around the edges. 

"O nun!" shouted one monk, "is it hot in there?"

"Such a matter would concern only a stupid person like yourself," answered Eshun. 

The flames arose, and she passed away. 
